qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robbie Gemmell <robbie.gemm...@gmail.com>
Subject Re: Can anyone recall what changed to remove the need to run ldconfig after make install on later qpid versions?
Date Fri, 17 Mar 2017 11:15:13 GMT
Total guess, but with a compare of tags I noticed:
https://github.com/apache/qpid/commit/8397804122e452ec338f38b53652eeb5bed14b1d#diff-e7b9c71b9cfb2d6fbd9eaecc19612879R189

On 17 March 2017 at 10:58, Fraser Adams <fraser.adams@blueyonder.co.uk> wrote:
> I'm doing a bit of "archeology" on some older qpid versions and one thing
> I've noticed is that for versions up to and including 0.20 I need to run
> ldconfig after make install otherwise I get
>
> /usr/local/sbin/qpidd: error while loading shared libraries:
> libqpidbroker.so.2.0.0: cannot open shared object file: No such file or
> directory
>
> But for 0.22 onwards I don't.
>
>
> I'm building on Debian and in all cases using the default install path of
> /usr/local and the only difference in the build environment for each of the
> versions I've been building is the qpid version
>
> I'm scratching my head a bit as to what might have changed between 0.20 and
> 0.22 such that running ldconfig after make install is no longer necessary.
>
> Any thoughts?
>
> Frase
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
> For additional commands, e-mail: users-help@qpid.apache.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message